View Issue Details

IDProjectCategoryView StatusLast Update
0000110Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterAdrian Schmutzler Assigned ToAdrian Schmutzler  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version20180726-beta 
Target Versionnext-stableFixed in Versionnext-stable 
Summary0000110: Ändern des Default-Port-Modus für One-Ports und CPE
DescriptionDie Default-Einstellung für Ports auf One-Ports und CPE ist Batman. Hat man keine "normalen" Geräte, kann man auf ein frisch geflashtes Gerät dann nicht mehr zugreifen (da V2 dafür erst irgendwoher ein Hood-File braucht).
Man kann auch nicht WAN anschließen, da es dafür keinen Port gibt. Gleiches gilt für Zugang per Kabel.
Einzige Möglichkeit ist das Bereitstellen eines weiteren Geräts mit Uplink, von dem dann ein Hood-File bezogen werden kann.

Eine einfache Lösung wäre die Standardkonfiguration auf WAN oder Client zu ändern. In meinen Augen in das Setzen auf Batman willkürlich, ich sehe keinen Nachteil einer Änderung. Ich tendiere dazu, Client zu nehmen. Das Problem lösen würde aber beides.

Dies gilt nur für den Fall eines frisch geflashten Gerätes oder nach einem Reset. Nach einem Upgrade sollte die Portconfig erhalten bleiben.
TagsNo tags attached.

Activities

fbl

2018-08-07 13:51

administrator   ~0000299

Ein Zugriff über die Link Local IPv6 ist sowohl bei Batman, als auch bei WAN (Für IPv6 haben wir da aktuell keine Firewall) möglich. Mit einem Multicast-Ping bekommt man auch die Adresse raus. Vielleicht sollten wir das mal irgendwo dokumentieren?

Wie die Einstellung per Default ist, ist mir persönlich daher auch relativ egal. Was für die Allgemeinheit am besten ist, kann ich schlecht einschätzen.

Adrian Schmutzler

2018-08-07 13:54

manager   ~0000300

Teil 1: ja.
Teil 2: es wäre interessant, ob es für den Batman-Default einen besonderen Grund gab oder das wirklich Willkür ist.

Adrian Schmutzler

2018-11-07 21:10

manager   ~0000310

Fixed: https://github.com/FreifunkFranken/firmware/commit/14622e20c2637e2ea2ccf4dfe7820e594d3d1e64

Issue History

Date Modified Username Field Change
2018-08-07 13:31 Adrian Schmutzler New Issue
2018-08-07 13:31 Adrian Schmutzler Description Updated View Revisions
2018-08-07 13:51 fbl Note Added: 0000299
2018-08-07 13:54 Adrian Schmutzler Note Added: 0000300
2018-11-07 21:10 Adrian Schmutzler Assigned To => Adrian Schmutzler
2018-11-07 21:10 Adrian Schmutzler Status new => resolved
2018-11-07 21:10 Adrian Schmutzler Resolution open => fixed
2018-11-07 21:10 Adrian Schmutzler Fixed in Version => next-stable
2018-11-07 21:10 Adrian Schmutzler Note Added: 0000310
2019-10-02 12:48 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General